Issue #14039 has been updated by rhenium (Kazuki Yamaguchi).


The one from net/http tests is fixed by r60380.

----------------------------------------
Bug #14039: MinGW - OpenSSL::TestSSL#test_max_version & #test_min_version, TestNetHTTPS#test_max_version
https://bugs.ruby-lang.org/issues/14039#change-67694

* Author: MSP-Greg (Greg L)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.5.0dev (2017-10-22 trunk 60317) [x64-mingw32]
* Backport: 2.3: UNKNOWN, 2.4: UNKNOWN
----------------------------------------
I was triggering constant Appveyor builds to keep up with the recent flurry of commits (thanks everyone).  When the dust settled, I have the following three issues.

```
 79) Failure:
OpenSSL::TestSSL#test_max_version [ruby/test/openssl/test_ssl.rb:837]:
<0> expected to be != to
<0>.

 80) Failure:
TestNetHTTPS#test_max_version [ruby/test/net/http/test_https.rb:219]:
Expected /\ASSL_connect returned=1 errno=0 / to match "SSL_CTX_set_max_proto_version".

 81) Error:
OpenSSL::TestSSL#test_min_version:
OpenSSL::SSL::SSLError: SSL_CTX_set_min_proto_version
    build25_64/.ext/common/openssl/ssl.rb:176:in `set_minmax_proto_version'
    build25_64/.ext/common/openssl/ssl.rb:176:in `min_version='
    build25_64/.ext/common/openssl/ssl.rb:140:in `block in set_params'
    build25_64/.ext/common/openssl/ssl.rb:140:in `each'
    build25_64/.ext/common/openssl/ssl.rb:140:in `set_params'
    ruby/test/openssl/test_ssl.rb:821:in `test_min_version'
```

I worked on `openssl/test_ssl.rb`; I couldn't get the tests passing.  But, `#test_minmax_version` passes, and it was added at the same time as `#min_version=` and `#max_version=` (by @rhenium).

The build is using OpenSSL 1.1.0f and compiling with gcc 7.2.0.

Thanks, Greg



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>